import { AxiosInstance, AxiosRequestConfig } from "axios";
export interface IApiClient {
    get(path: string, params?: any): Promise<any>;
    post(path: string, params: any): Promise<any>;
    put(path: string, params: any): Promise<any>;
    delete(path: string, params: any): Promise<any>;
}
export declare type RestConfig = AxiosRequestConfig;
export declare type RestClientInstance = AxiosInstance;
export declare type RestCreateFunction = (config?: AxiosRequestConfig) => AxiosInstance;
/** Factory function for REST client. Uses the Axios library internally.
 * This way we expose Axios interfaces but leave the implementation open to mocking.
 */
export declare function create(config: RestConfig): RestClientInstance;
//# sourceMappingURL=rest_client.d.ts.map