import * as intf from "../../topology_interfaces";
export declare class MemoryStorage implements intf.ICoordinationStorage {
    private workers;
    private topologies;
    private messages;
    private workers_history;
    private topologies_history;
    constructor();
    getProperties(callback: intf.SimpleResultCallback<intf.IStorageProperty[]>): void;
    getWorkerStatus(callback: intf.SimpleResultCallback<intf.IWorkerStatus[]>): void;
    getTopologyStatus(callback: intf.SimpleResultCallback<intf.ITopologyStatus[]>): void;
    getTopologiesForWorker(worker: string, callback: intf.SimpleResultCallback<intf.ITopologyStatus[]>): void;
    getMessages(name: string, callback: intf.SimpleResultCallback<intf.IStorageResultMessage[]>): void;
    getMessage(name: string, callback: intf.SimpleResultCallback<intf.IStorageResultMessage>): void;
    getTopologyInfo(uuid: string, callback: intf.SimpleResultCallback<intf.ITopologyInfoResponse>): void;
    registerWorker(name: string, callback: intf.SimpleCallback): void;
    announceLeaderCandidacy(name: string, callback: intf.SimpleCallback): void;
    checkLeaderCandidacy(name: string, callback: intf.SimpleResultCallback<boolean>): void;
    assignTopology(uuid: string, worker: string, callback: intf.SimpleCallback): void;
    sendMessageToWorker(worker: string, cmd: string, content: any, valid_msec: number, callback: intf.SimpleCallback): void;
    getMsgQueueContent(callback: intf.SimpleResultCallback<intf.IMsgQueueItem[]>): void;
    setTopologyStatus(uuid: string, worker: string, status: string, error: string, callback: intf.SimpleCallback): void;
    setWorkerStatus(worker: string, status: string, callback: intf.SimpleCallback): void;
    setWorkerLStatus(worker: string, lstatus: string, callback: intf.SimpleCallback): void;
    registerTopology(uuid: string, config: intf.ITopologyDefinition, callback: intf.SimpleCallback): void;
    disableTopology(uuid: string, callback: intf.SimpleCallback): void;
    enableTopology(uuid: string, callback: intf.SimpleCallback): void;
    deleteTopology(uuid: string, callback: intf.SimpleCallback): void;
    stopTopology(uuid: string, callback: intf.SimpleCallback): void;
    killTopology(uuid: string, callback: intf.SimpleCallback): void;
    deleteWorker(name: string, callback: intf.SimpleCallback): void;
    shutDownWorker(name: string, callback: intf.SimpleCallback): void;
    getTopologyHistory(uuid: string, callback: intf.SimpleResultCallback<intf.ITopologyStatusHistory[]>): void;
    getWorkerHistory(name: string, callback: intf.SimpleResultCallback<intf.IWorkerStatusHistory[]>): void;
    setTopologyPid(uuid: string, pid: number, callback: intf.SimpleCallback): void;
    pingWorker(name: string, callback?: intf.SimpleCallback): void;
    private unassignWaitingTopologies;
    private disableDefunctWorkers;
    private disableDefunctLeaders;
    private notifyTopologyHistory;
    private notifyWorkerHistory;
}
//# sourceMappingURL=memory_storage.d.ts.map