"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rest = require("../distributed/http_based/rest_client");
/** This bolt sends GET request to specified url
 * and forwards the result.
 */
class GetBolt {
    constructor() {
        this.onEmit = null;
        this.fixed_url = null;
    }
    init(name, config, context, callback) {
        this.onEmit = config.onEmit;
        this.fixed_url = config.url;
        this.client = rest.create({});
        callback();
    }
    heartbeat() {
        // no-op
    }
    shutdown(callback) {
        callback();
    }
    receive(data, stream_id, callback) {
        const url = this.fixed_url || data.url;
        this.client.get(url)
            .then(res => this.onEmit({ body: res.data.toString() }, null, callback))
            .catch(err => callback(err));
    }
}
exports.GetBolt = GetBolt;
//# sourceMappingURL=get_bolt.js.map