"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rest = require("../distributed/http_based/rest_client");
/** This spout sends GET request to the specified url in regular
 * time intervals and forwards the result.
 */
class GetSpout {
    constructor() {
        this.url = null;
        this.stream_id = null;
        this.repeat = null;
        this.should_run = false;
        this.next_tuple = null;
        this.next_ts = Date.now();
    }
    init(name, config, context, callback) {
        this.url = config.url;
        this.repeat = config.repeat;
        this.stream_id = config.stream_id;
        this.client = rest.create({});
        callback();
    }
    heartbeat() {
        if (!this.should_run) {
            return;
        }
        if (this.next_ts < Date.now()) {
            this.client.get(this.url)
                .then(res => {
                this.next_tuple = { body: res.data.toString() };
                this.next_ts = Date.now() + this.repeat;
            })
                .catch(() => {
                // do nothing
            });
        }
    }
    shutdown(callback) {
        callback();
    }
    run() {
        this.should_run = true;
    }
    pause() {
        this.should_run = false;
    }
    next(callback) {
        const data = this.next_tuple;
        this.next_tuple = null;
        callback(null, data, this.stream_id);
    }
}
exports.GetSpout = GetSpout;
//# sourceMappingURL=get_spout.js.map