"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rest = require("../distributed/http_based/rest_client");
/** This bolt sends POST request to specified url (fixed or provided inside data)
 * and forwards the request.
 */
class PostBolt {
    constructor() {
        this.onEmit = null;
        this.fixed_url = null;
    }
    init(name, config, context, callback) {
        this.onEmit = config.onEmit;
        this.fixed_url = config.url;
        this.client = rest.create({});
        callback();
    }
    heartbeat() {
        // no-op
    }
    shutdown(callback) {
        callback();
    }
    receive(data, stream_id, callback) {
        let url = this.fixed_url;
        let args = data;
        if (!this.fixed_url) {
            url = data.url;
            args = data.body;
        }
        this.client.post(url, args)
            .then(res => this.onEmit({ body: res.data }, null, callback))
            .catch(err => callback(err));
    }
}
exports.PostBolt = PostBolt;
//# sourceMappingURL=post_bolt.js.map