import * as intf from "../topology_interfaces";
/** This bolt transforms given input fields in the incoming
 * messages to either Date objects, numerics or booleans
 * and sends them forward.
 */
export declare class TypeTransformBolt implements intf.IBolt {
    private date_transform_fields;
    private date_n_transform_fields;
    private numeric_transform_fields;
    private bool_transform_fields;
    private onEmit;
    private stream_id;
    private reuse_stream_id;
    constructor();
    init(name: string, config: any, context: any, callback: intf.SimpleCallback): void;
    heartbeat(): void;
    shutdown(callback: intf.SimpleCallback): void;
    receive(data: any, stream_id: string, callback: intf.SimpleCallback): void;
}
/** This bolt transforms given input fields in the incoming
 * messages from Date objects into numerics.
 */
export declare class DateToNumericTransformBolt implements intf.IBolt {
    private date_transform_fields;
    private onEmit;
    private stream_id;
    private reuse_stream_id;
    constructor();
    init(name: string, config: any, context: any, callback: intf.SimpleCallback): void;
    heartbeat(): void;
    shutdown(callback: intf.SimpleCallback): void;
    receive(data: any, stream_id: string, callback: intf.SimpleCallback): void;
}
//# sourceMappingURL=type_transform_bolt.d.ts.map