import * as http from "http";
export interface IRequestWithBody extends http.IncomingMessage {
    body: string;
}
export interface IProcessingHandlerCallback {
    (err: Error, data?: any): any;
}
export interface IProcessingHandler {
    (data: any, callback: IProcessingHandlerCallback): any;
}
export declare class MinimalHttpServer {
    private handlers;
    private routes;
    private log_prefix;
    constructor(log_prefix?: string);
    /** For registering simple handlers */
    addHandler(addr: string, callback: IProcessingHandler): void;
    /** For registering simple static paths */
    addRoute(addr: string, local_path: string): void;
    /** For registering all files from certain directory as simple static paths */
    addDirectory(dir: string): void;
    /** For handling requests that have been received by another HTTP server object. */
    handle(method: string, addr: string, body: any, resp: http.ServerResponse): void;
    /** For running the server */
    run(port: number): void;
    private withBody;
    private handleResponse;
    private handleError;
}
//# sourceMappingURL=http_server.d.ts.map