"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/** Simple class for collecting telemetry statistics for call durations */
class Telemetry {
    constructor(name) {
        this.cnt = 0;
        this.avg = 0;
        this.min = 0;
        this.max = 0;
        this.name = name;
    }
    add(duration) {
        if (this.cnt === 0) {
            this.avg = duration;
            this.cnt = 1;
            this.min = duration;
            this.max = duration;
        }
        else {
            const tc = this.cnt;
            const tc1 = this.cnt + 1;
            this.avg = this.avg * (tc / tc1) + duration / tc1;
            this.cnt++;
            this.min = Math.min(this.min, duration);
            this.max = Math.max(this.max, duration);
        }
    }
    reset() {
        this.cnt = 0;
        this.avg = 0;
        this.min = 0;
        this.max = 0;
    }
    get(add_name) {
        if (add_name) {
            return {
                avg: this.avg,
                cnt: this.cnt,
                name: this.name
            };
        }
        return {
            avg: this.avg,
            cnt: this.cnt
        };
    }
}
exports.Telemetry = Telemetry;
//# sourceMappingURL=telemetry.js.map